Bug 2557 - "Total Messages" column is stuck to the right-most side of its panel
Summary: "Total Messages" column is stuck to the right-most side of its panel
Status: NEW
Alias: None
Product: Claws Mail
Classification: Unclassified
Component: UI/Folder List (show other bugs)
Version: 3.7.10
Hardware: PC Linux
: P3 enhancement
Assignee: users
URL:
Depends on:
Blocks:
 
Reported: 2011-12-05 13:22 CET by alb348
Modified: 2012-08-13 16:56 CEST (History)
0 users

See Also:


Attachments
Screenshot of out-of-place Third Column in Small Screen layout (54.58 KB, image/jpeg)
2012-07-30 23:05 CEST, Zaf
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description alb348 2011-12-05 13:22:14 CET
The "Total message count" column in the folders panel is currently stuck to the right-most side of its panel, and cannot be moved to the left. 
This is a problem when the Small Screen Option is selected, because the other two columns are located just next to the folder's name, while the 'Total' column stays far away at the right. This is esthetically unpleasant.
Now, if one chose to move the other two columns to the right, to eliminate the gap between the columns, this would also be a problem, because a considerable gap would be created between the folder names and the message count columns. This gap would be huge on large screens, making it inconvenient to rad the message count after reading the folders name; that is because folders names are at the left side of the screen and message counts at the rightmost side. It would be nice to have them all one next to the other. 
Please consider that, while the option "Small Screen" (which is probably a misnomer) was originally meant for small screens, it can be profitably used on large screens too. The only glitch is the one I pointed out: the locked position of the Total messages column.

Please allow the user to move freely to the left the position of the Total message column.

Please also consider renaming the "Small Screen" layout to "Single Pane" layout.

Thanks

Alby
Comment 1 Pawel Pekala 2011-12-05 16:19:04 CET
What about View->Set displayed columns-> in Folder list ?

You can set displayed columns and their position/order.
Comment 2 alb348 2011-12-05 17:32:49 CET
On 2011-12-05 16:19, noreply@thewildbeast.co.uk wrote:
> --- Comment #1 from Pawel Pekala  2011-12-05 16:19:04 ---
> What about View->Set displayed columns-> in Folder list ?
>
> You can set displayed columns and their position/order.

It seems that you have not understood what I meant. What you suggested is a way to change the order in which columns are set. But I don't need to do that. What I was talking about is the possibility of having the right-most column moved a bit to the left (but still as the right-most column - so the order is not changed), thus detached from the right border of the pane. 
Due to a bug, this is not possible.
Comment 3 Paul 2011-12-05 19:40:03 CET
that's not a bug. change the severity to 'enhancement'
Comment 4 Zaf 2012-07-30 18:50:16 CEST
This bug is quite annoying, especially if you want to configure your home screen. I do hope it gets fixed soon.
Comment 5 Paul 2012-07-30 19:51:35 CEST
like i said, it's not a bug
Comment 6 Zaf 2012-07-30 20:00:02 CEST
@Paul: OK, even if technically it is not a bug, it is a nuisance. When will we see it fixed? It was reported back for the 3.7.10 version, and we are at version 3.8.1 now :(
Comment 7 Paul 2012-07-30 22:48:24 CEST
so what you would like to see is some empty space to the right of the Total column?
Comment 8 Zaf 2012-07-30 22:56:22 CEST
Yes. The point here is that the first two columns are on the far left, just next to the folders tree, whereas the third column ("Total Messages") is far removed on the right side of the screen. This wide separation does not make any sense at all, and visually it is not only ugly, but also anti-functional, because after reading the first two columns the casual look of the user may not even notice the presence of the third colum on the far right of the screen.
So, the only solution that I see is to make the third column stick to the other two, that is just at the right side of the second column ("Unread").
Comment 9 Andrej Kacian 2012-07-30 23:04:04 CEST
You could resize the Folder column to fill up the width instead of the Total column, or make the whole folderview smaller (thinner), giving you more space for other interface elements.
Comment 10 Zaf 2012-07-30 23:05:08 CEST
Created attachment 1139 [details]
Screenshot of out-of-place Third Column in Small Screen layout

Since a picture is worth a thousand words, I attach this screenshot which clearly shows how the current position of the third column (on the rightmost side of the screen) does not make any sense at all.
Comment 11 Zaf 2012-07-30 23:10:17 CEST
@Andrej Kacian

I am sorry, but your suggestion does not seem to be helpful at all. Why should we go to extra lengths to go around what is clearly a defect in the design, instead of simply fixing it?

> You could resize the Folder column to fill up the width instead of 
> the Total column, or make the whole folderview smaller (thinner), 
> giving you more space for other interface elements.

To be frank, I am not even sure I understand your suggestion.
Comment 12 Paul 2012-07-31 07:58:34 CEST
Lets not forget that it is called 'small screen' layout for a reason, and that reason is that it's for small screens, (like maemo n8xx originally, iirc). If it were renamed 'single pane', like the original reporter suggested, then you might have a point. It is not surprising that a layout for a small screen looks weird on a big screen, imo. On my old (now deceased) n800 it looked great.

(BTW, attaching the screenshot is almost useless, we can all easily see the layout at the click of a button)
Comment 13 Chad Wallace 2012-07-31 23:29:44 CEST
Would it be reasonable to make the three numeric columns be fixed-width (or default to something small) and the Folder column dynamically sized?  It seems like the last one is the dynamic one, and in this case that's not optimal.
Comment 14 Zaf 2012-08-03 19:33:07 CEST
The whole matter boils down to:
1) the three columns should stick together
2) they should be right next to the folder tree

IMHO whether you fix a column width or keep it dynamic is of secondary importance.
Comment 15 Chad Wallace 2012-08-03 20:07:10 CEST
Technically, it already does that.  The three columns are together, and they are right next to the Folder column.  This is shown by the column headings.  

The problem is with the content, which, by being right-aligned, is moved away from the adjacent columns when the last column is so wide.  So the width of the columns is the key.

If we don't want the totals to be separated from the Folder names (which they would be if the Folder column were too wide), we could add a blank column at the end and make it the only one dynamically sized to absorb the extra space--or simply allow blank space to be there without a column.  Currently, the last column automatically expands to fill the space.

Moving the Folder column to the right of the other three would be a good workaround.
Comment 16 Andrej Kacian 2012-08-03 20:17:40 CEST
I agree that being able to explicitly setting which column is "flexible" when resizing is a good idea, but right now it is hardcoded in the widget we use (GtkCMCList), and would require someone to tweak the widget code. I took a look at doing this the other day, and found it quite nontrivial.

I will try to make it work, but don't hold your breath... :)
Comment 17 Zaf 2012-08-13 16:56:33 CEST
Andrej Kacian wrote on 2012-08-03 20:17:40:

> I agree that being able to explicitly setting which 
> column is "flexible" when resizing is a good idea, 
> but right now it is hardcoded in the widget we use
> (GtkCMCList), and would require someone to tweak the
> widget code. I took a look at doing this the other 
> day, and found it quite nontrivial.

> I will try to make it work, but don't hold your 
> breath... :)

What about creating a fourth column, which will remain
empty, so that maybe the third column will become 
moveable to the left, while this fourth column remains 
stuck to the right side (causing no problem)?